IF NOT EXISTS(SELECT 1 FROM criterios_valores_col WHERE campo = 'emb_bancos')
BEGIN
    INSERT INTO criterios_valores_col (campo, item, descripcion) VALUES ('emb_bancos', 0, 'Pago en Cheque')
    INSERT INTO criterios_valores_col (campo, item, descripcion) VALUES ('emb_bancos', 1, 'Banco Agrario')
    if exists (select 1 from companias where compania = '10')
    begin
        INSERT INTO criterios_valores_col (campo, item, descripcion) VALUES ('emb_bancos', 2, 'Pago en Cheque Decadal')
        INSERT INTO criterios_valores_col (campo, item, descripcion) VALUES ('emb_bancos', 3, 'Banco Agrario Decadal')
    end
END

delete fdt_bancos where descripcion = 'Pago en Cheque'
delete fdt_bancos where descripcion = 'Banco Agrario'
delete fdt_bancos where descripcion = 'Pago en Cheque Decadal'
delete fdt_bancos where descripcion = 'Banco Agrario Decadal'


go
IF OBJECT_ID('dbo.vw_fco_integrada_res_arp') IS NOT NULL
    DROP VIEW dbo.vw_fco_integrada_res_arp
GO
CREATE VIEW dbo.vw_fco_integrada_res_arp
AS    
SELECT     
    a.compania, a.anio, a.mes, a.sucursal,   
    a.centro_trabajo,
    IBC_ARP = SUM(a.IBC_ARP), 
    aporte_ARP = SUM(a.aporte_ARP),   
    nro_aut = 
    (SELECT ta.nro_aut FROM fco_integrada_rt05 ta WHERE ta.compania = a.compania AND ta.anio = a.anio AND ta.mes = a.mes AND ta.sucursal = a.sucursal),   
    vlr_aut = 
    (SELECT ta.incapacidades FROM fco_integrada_rt05 ta WHERE ta.compania = a.compania AND ta.anio = a.anio AND ta.mes = a.mes AND ta.sucursal = a.sucursal),    
    (SELECT ctr.descripcion FROM vw_fco_centros_trabajo ctr  
     WHERE ctr.compania = a.compania AND ctr.codigo_reporte = a.centro_trabajo) AS ctr_nombre,    
    MAX(suc.descripcion) AS suc_nombre,
    afiliados = COUNT(DISTINCT a.trabajador)
FROM fco_integrada_det a    
LEFT JOIN criterios_valores_col b ON b.campo = 'tipo_cotizante' AND b.item = a.tipo_cotizante    
LEFT JOIN vw_fco_sucursales suc     
ON suc.compania = a.compania AND suc.sucursal = a.sucursal    
WHERE aporte_EPS + aporte_AFP + aporte_CCF + aporte_ARP <> 0    
GROUP BY a.compania, a.anio, a.mes, a.sucursal, a.centro_trabajo
GO
GRANT SELECT ON dbo.vw_fco_integrada_res_arp TO PUBLIC
GO
IF OBJECT_ID('dbo.vw_fco_integrada_res_sal') IS NOT NULL
    DROP VIEW dbo.vw_fco_integrada_res_sal
GO
CREATE VIEW dbo.vw_fco_integrada_res_sal
AS    
SELECT     
    a.compania, a.anio, a.mes, a.sucursal,   
    a.cod_EPS,   
    IBC_EPS = SUM(a.IBC_EPS),   
    aporte_EPS = SUM(a.aporte_EPS),  
    UPC_adicional = SUM(a.UPC_adicional),   
    nro_aut_IGE = 
    (SELECT ts.nro_aut_IGE FROM fco_integrada_rt04 ts WHERE ts.compania = a.compania AND ts.anio = a.anio AND ts.mes = a.mes AND ts.sucursal = a.sucursal AND ts.cod_EPS = a.cod_EPS),   
    vlr_aut_IGE = 
    (SELECT ts.suma_aut_IGE FROM fco_integrada_rt04 ts WHERE ts.compania = a.compania AND ts.anio = a.anio AND ts.mes = a.mes AND ts.sucursal = a.sucursal AND ts.cod_EPS = a.cod_EPS),   
    nro_aut_LMA = 
    (SELECT ts.nro_aut_LMA FROM fco_integrada_rt04 ts WHERE ts.compania = a.compania AND ts.anio = a.anio AND ts.mes = a.mes AND ts.sucursal = a.sucursal AND ts.cod_EPS = a.cod_EPS),   
    vlr_aut_LMA = 
    (SELECT ts.suma_aut_LMA FROM fco_integrada_rt04 ts WHERE ts.compania = a.compania AND ts.anio = a.anio AND ts.mes = a.mes AND ts.sucursal = a.sucursal AND ts.cod_EPS = a.cod_EPS),  
    
    (SELECT eps.descripcion FROM vw_fco_administradoras eps     
     WHERE eps.compania = a.compania AND eps.tipo = 'EPS'     
       AND eps.codigo = a.cod_EPS) AS eps_nombre,    
  
    MAX(suc.descripcion) AS suc_nombre,
    afiliados = COUNT(DISTINCT a.trabajador)
FROM fco_integrada_det a    
LEFT JOIN criterios_valores_col b ON b.campo = 'tipo_cotizante' AND b.item = a.tipo_cotizante    
LEFT JOIN vw_fco_sucursales suc     
ON suc.compania = a.compania AND suc.sucursal = a.sucursal    
WHERE aporte_EPS + aporte_AFP + aporte_CCF + aporte_ARP <> 0    
GROUP BY a.compania, a.anio, a.mes, a.sucursal, a.cod_EPS  
GO
GRANT SELECT ON dbo.vw_fco_integrada_res_sal TO PUBLIC
GO
IF OBJECT_ID('dbo.vw_fco_integrada_rt02') IS NOT NULL
    DROP VIEW dbo.vw_fco_integrada_rt02
GO
CREATE VIEW dbo.vw_fco_integrada_rt02
AS
/*************************************************************************/
-- Modulo Fiscal Colombiano 2.0 ADAM V3
-- Descripcion: Archivo Plano Planilla Integrada Registro Tipo 2
-- Autor: Juan Carlos Leguizamon
-- Fecha: Junio 2005
-- Revisiones:
/*************************************************************************/
SELECT
    compania, anio, mes, sucursal, trabajador, secuencia, 
    registro2 =
    '02' + secuencia + tipo_documento + CONVERT(char(16), nro_id) + 
    RIGHT('00' + RTRIM(tipo_cotizante), 2) + 
    RIGHT('00' + RTRIM(subtipo_cotizante), 2) + 
    extranjero_no_pension + residente_en_exterior + departamento + municipio +
    dbo.fn_fco_valida_nombre(CONVERT(char(20), LTRIM(REPLACE(primer_apellido, '  ', ' ')))) + -- JCL Ajuste Junio 21/06
    dbo.fn_fco_valida_nombre(CONVERT(char(30), LTRIM(REPLACE(segundo_apellido, '  ', ' ')))) + -- JCL Ajuste Junio 21/06
    dbo.fn_fco_valida_nombre(CONVERT(char(20), LTRIM(REPLACE(primer_nombre, '  ', ' ')))) + -- JCL Ajuste Junio 21/06
    dbo.fn_fco_valida_nombre(CONVERT(char(30), LTRIM(REPLACE(segundo_nombre, '  ', ' ')))) + -- JCL Ajuste Junio 21/06
    nov_ING	+ nov_RET + nov_TDE + nov_TAE + nov_TDP + nov_TAP + nov_VSP + nov_VTE +
    nov_VST + nov_SLN + nov_IGE + nov_LMA + nov_VAC + nov_AVP + nov_VCT + nov_IRP +
    dbo.fn_fco_cod_super('AFP', cod_AFP) + CONVERT(char(6), cod_AFP_Tras) + 
    dbo.fn_fco_cod_super('EPS', cod_EPS) + CONVERT(char(6), cod_EPS_Tras) + 
    dbo.fn_fco_cod_super('CCF', cod_CCF) + 
    RIGHT('00' + RTRIM(dias_AFP), 2) + 
    RIGHT('00' + RTRIM(dias_EPS), 2) + 
    RIGHT('00' + RTRIM(dias_ARP), 2) + 
    RIGHT('00' + RTRIM(dias_CCF), 2) + 
    RIGHT('000000000' + RTRIM(salario), 9) + integral + 
    RIGHT('000000000' + RTRIM(IBC_AFP), 9) +
    RIGHT('000000000' + RTRIM(IBC_EPS), 9) +
    RIGHT('000000000' + RTRIM(IBC_ARP), 9) +
    RIGHT('000000000' + RTRIM(IBC_CCF), 9) +
    LEFT(RTRIM(tarifa_AFP) + '0000000', 7) + -- JCL Ajuste Junio 21/06
    RIGHT('000000000' + RTRIM(aporte_AFP), 9) + 
    RIGHT('000000000' + RTRIM(voluntario_AFP), 9) + 
    RIGHT('000000000' + RTRIM(voluntario_AFP_cia), 9) + 
    RIGHT('000000000' + RTRIM(aporte_total_AFP), 9) + 
    RIGHT('000000000' + RTRIM(aporte_FSP), 9) + 
    RIGHT('000000000' + RTRIM(aporte_FSP_subsistencia), 9) + 
    RIGHT('000000000' + RTRIM(valor_no_retenido), 9) + 
    LEFT(RTRIM(tarifa_EPS) + '0000000', 7) + -- JCL Ajuste Junio 21/06
    RIGHT('000000000' + RTRIM(aporte_EPS), 9) + 
    RIGHT('000000000' + RTRIM(UPC_adicional), 9) + 
    CONVERT(char(15), nro_aut_IGE) + 
    RIGHT('000000000' + RTRIM(vlr_aut_IGE), 9) + 
    CONVERT(char(15), nro_aut_LMA) +
    RIGHT('000000000' + RTRIM(vlr_aut_LMA), 9) + 
    LEFT(RTRIM(tarifa_ARP) + '000000000', 9) + -- JCL Ajuste Junio 21/06
    RIGHT('000000000' + RTRIM(centro_trabajo), 9) +  + 
    RIGHT('000000000' + RTRIM(aporte_ARP), 9) + 
    LEFT(RTRIM(tarifa_CCF) + '0000000', 7) + -- JCL Ajuste Junio 21/06
    RIGHT('000000000' + RTRIM(aporte_CCF), 9) + 
    LEFT(RTRIM(tarifa_SENA) + '0000000', 7) + -- JCL Ajuste Junio 21/06
    RIGHT('000000000' + RTRIM(aporte_SENA), 9) + 
    LEFT(RTRIM(tarifa_ICBF) + '0000000', 7) + -- JCL Ajuste Junio 21/06
    RIGHT('000000000' + RTRIM(aporte_ICBF), 9) + 
    LEFT(RTRIM(tarifa_ESAP) + '0000000', 7) + -- JCL Ajuste Junio 21/06
    RIGHT('000000000' + RTRIM(aporte_ESAP), 9) + 
    LEFT(RTRIM(tarifa_MEdu) + '0000000', 7) + -- JCL Ajuste Junio 21/06
    RIGHT('000000000' + RTRIM(aporte_MEdu), 9)
FROM fco_integrada_det
WHERE eliminada = 0
AND aporte_EPS + aporte_AFP + aporte_CCF + aporte_ARP <> 0
GO
GRANT SELECT ON dbo.vw_fco_integrada_rt02 TO PUBLIC
GO
